#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeplasmaver	5.26.4
%define		qtver		5.15.2
%define		kpname		systemsettings
Summary:	KDE system settings
Name:		kp5-%{kpname}
Version:	5.26.4
Release:	2
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/plasma/%{kdeplasmaver}/%{kpname}-%{version}.tar.xz
# Source0-md5:	3abcf237a6ba20f1e2ec4f9462780932
URL:		https://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	cmake >= 2.8.12
BuildRequires:	kf5-extra-cmake-modules >= 1.4.0
BuildRequires:	kf5-kactivities-devel
BuildRequires:	kf5-kactivities-stats-devel
BuildRequires:	kf5-kcmutils-devel
BuildRequires:	kf5-kconfig-devel
BuildRequires:	kf5-kdbusaddons-devel
BuildRequires:	kf5-kdeclarative-devel
BuildRequires:	kf5-kdoctools-devel
BuildRequires:	kf5-khtml-devel
BuildRequires:	kf5-ki18n-devel
BuildRequires:	kf5-kiconthemes-devel
BuildRequires:	kf5-kio-devel
BuildRequires:	kf5-kirigami2-devel
BuildRequires:	kf5-kitemviews-devel
BuildRequires:	kf5-kparts-devel
BuildRequires:	kf5-kservice-devel
BuildRequires:	kf5-kwindowsystem-devel
BuildRequires:	kf5-kxmlgui-devel
BuildRequires:	kp5-plasma-workspace-devel >= %{kdeplasmaver}
BuildRequires:	ninja
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KDE system settings.

%package devel
Summary:	Header files for %{kpname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kpname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{kpname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kpname}.

%prep
%setup -q -n %{kpname}-%{version}

%build
install -d build
rm -rf po/id
cd build
%cmake -G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	..
%ninja_build

%if %{with tests}
ctest
%endif

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kpname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{kpname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/systemsettings5
%{_desktopdir}/kdesystemsettings.desktop
%{_desktopdir}/systemsettings.desktop
%{_datadir}/kservicetypes5/systemsettings*.desktop
%{_datadir}/kxmlgui5/systemsettings
%{_datadir}/systemsettings
%{_datadir}/kpackage/genericqml/org.kde.systemsettings.sidebar
%{_datadir}/metainfo/org.kde.systemsettings.metainfo.xml
%{_datadir}/qlogging-categories5/systemsettings.categories
%dir %{_libdir}/qt5/plugins/systemsettingsview
%attr(755,root,root) %{_libdir}/qt5/plugins/systemsettingsview/icon_mode.so
%attr(755,root,root) %{_libdir}/qt5/plugins/systemsettingsview/systemsettings_sidebar_mode.so
%{_datadir}/kglobalaccel/systemsettings.desktop
%attr(755,root,root) %{_libdir}/libsystemsettingsview.so.3
%{_libdir}/qt5/plugins/kf5/krunner/krunner_systemsettings.so
%attr(755,root,root) %{_bindir}/systemsettings
%{_datadir}/kservicetypes5/infocenterexternalapp.desktop
%changelog
* Wed Nov 30 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kp5-systemsettings.git;a=log;h=master

* Wed Nov 30 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> d9e4db8
- relup

* Tue Nov 29 2022 Witold Filipczyk <witekfl@poczta.onet.pl> bf9439f
- updated to 5.26.4

* Wed Nov 09 2022 Witold Filipczyk <witekfl@poczta.onet.pl> b153bc5
- updated to 5.26.3

* Thu Oct 27 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 0226a44
- updated to 5.26.2

* Thu Oct 20 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> e8543ae
- relup

* Wed Oct 19 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 328288b
- updated to 5.26.1

* Thu Oct 13 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 0ae3305
- relup

* Wed Oct 12 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 900a09c
- updated to 5.26.0

* Wed Sep 14 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 33ebdbe
- rebuild with qt5-5.15.6

* Wed Sep 07 2022 Witold Filipczyk <witekfl@poczta.onet.pl> a5e3851
- updated to 5.25.5

* Wed Aug 03 2022 Witold Filipczyk <witekfl@poczta.onet.pl> fa5933c
- updated to 5.25.4

* Wed Jul 13 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 74ddc89
- updated to 5.25.3

* Wed Jun 29 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 1ca7f09
- updated to 5.25.2

* Tue Jun 21 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 0bfb6de
- updated to 5.25.1

* Wed Jun 15 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 31d3229
- updated to 5.25.0

* Wed May 04 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> fa70dce
- relup

* Tue May 03 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 5e80a95
- updated to 5.24.5

* Wed Mar 30 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 6d779ca
- updated to 5.24.4
- added bcond_with tests

* Wed Mar 09 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 19d40ba
- updated to 5.24.3

* Sat Feb 26 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 7d4d5e8
- relup

